<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>str2image by Monte ohrt</title>
</head>
<body>

<?php
  if(empty($_POST['text']))
    $_POST['text'] = 'john@doe.com';
  if(empty($_POST['font']))
    $_POST['font'] = 'arial.ttf';
  if(empty($_POST['fontsize']))
    $_POST['fontsize'] = 10;
  if(empty($_POST['fontangle']))
    $_POST['fontangle'] = 0;
  if(empty($_POST['textcolor']))
    $_POST['textcolor'] = '000000';
  if(empty($_POST['bgcolor']))
    $_POST['bgcolor'] = 'ffffff';
?>

<p><b>str2img</b> displays a string of text as an image. It uses encoding,<br>
so the string cannot be easily discovered from the URL.</p>

<form action="" method="post">
<table>
  <tr>
    <td>text to display:</td>
    <td><input type="text" name="text" value="<?=htmlspecialchars($_POST['text'],ENT_COMPAT,'UTF-8')?>"></td>
  </tr>
  <tr>
    <td>font filename:</td>
    <td>
      <select name="font">
        <option value="unifont.ttf" <?php if($_POST['font']=='unifont.ttf'): ?>selected="selected"<?php endif; ?>>unifont.ttf</option>
        <option value="arial.ttf" <?php if($_POST['font']=='arial.ttf'): ?>selected="selected"<?php endif; ?>>arial.ttf</option>
        <option value="times.ttf" <?php if($_POST['font']=='times.ttf'): ?>selected="selected"<?php endif; ?>>times.ttf</option>
        <option value="verdana.ttf" <?php if($_POST['font']=='verdana.ttf'): ?>selected="selected"<?php endif; ?>>verdana.ttf</option>
        <option value="comic.ttf" <?php if($_POST['font']=='comic.ttf'): ?>selected="selected"<?php endif; ?>>comic.ttf</option>
      </select>
    </td>
  </tr>
  <tr>
    <td>font size (pixels):</td>
    <td><input type="text" name="fontsize" value="<?=htmlspecialchars($_POST['fontsize'],ENT_COMPAT,'UTF-8')?>"></td>
  </tr>
  <tr>
    <td>font angle (degrees):</td>
    <td><input type="text" name="fontangle" value="<?=htmlspecialchars($_POST['fontangle'],ENT_COMPAT,'UTF-8')?>"></td>
  </tr>
  <tr>
    <td>text color (hex):</td>
    <td>#<input type="text" name="textcolor" value="<?=htmlspecialchars($_POST['textcolor'],ENT_COMPAT,'UTF-8')?>"></td>
  </tr>
  <tr>
    <td>background color (hex):</td>
    <td>#<input type="text" name="bgcolor" value="<?=htmlspecialchars($_POST['bgcolor'],ENT_COMPAT,'UTF-8')?>"></td>
  </tr>
  <tr>
    <td colspan="2">
      <input type="submit" name="Submit">
    </td>
  </tr>
</table>
</form>

<h4>Resulting image:</h4>

<?php

// set this to appropriate system filepath
require('./libs/str2img.lib.php');

$str2img = new str2img();

$text = !empty($_POST['text']) ? $_POST['text'] : 'no input';

$str2img->font = !empty($_POST['font']) ? $_POST['font'] : 'arial.ttf';
$str2img->fontsize = !empty($_POST['fontsize']) ? (int)$_POST['fontsize'] : 10;
$str2img->fontangle = !empty($_POST['fontangle']) ? (int)$_POST['fontangle'] : 0;
$str2img->textcolor = !empty($_POST['textcolor']) ? $_POST['textcolor'] : '0000000';
$str2img->bgcolor = !empty($_POST['bgcolor']) ? $_POST['bgcolor'] : 'ffffff';

echo $str2img->imgsrc($text);

?>

<table width="500">
<tr>
<td>
<p><b>str2img</b> is 100% UTF-8 compiliant. Remember, the font you choose must support
your language's character set. The GNU <b>unifont.ttf</b> supports nearly everything.</p>

<p>If you want more fonts, you must add them to the font folder yourself. The
easiest method is to apt-get the <b>msttcorefonts</b> package Ubuntu linux and use
those. <b>arial.ttf</b> renders very nice from that set. (try it above!)</p>

<p>
Example how to install unifont:
</p>

<pre>
Download: http://unifoundry.com/unifont-5.1.20080820.zip
Unzip, copy unifont.ttf into the fonts directory.
</pre>

<p>
Example how to install those fonts in Ubuntu:
</p>

<pre>
sudo apt-get msttcorefonts
cp /usr/share/fonts/truetype/msttcorefonts/arial.ttf ./fonts/
cp /usr/share/fonts/truetype/msttcorefonts/comic.ttf ./fonts/
</pre>

<p>Choose unifont.ttf, and go <a href="http://www.columbia.edu/kermit/utf8.html">here</a>
and cut/paste some different languages into the text field above, you will see that the
unifont does a great job!</p>
</td>
</tr>
</table>

</body>
</html>
